import type { ContentModelDivider, ReadonlyContentModelDivider } from './ContentModelDivider';
import type { ContentModelEntity } from '../entity/ContentModelEntity';
import type { ContentModelFormatContainer, ReadonlyContentModelFormatContainer, ShallowMutableContentModelFormatContainer } from '../blockGroup/ContentModelFormatContainer';
import type { ContentModelGeneralBlock, ReadonlyContentModelGeneralBlock, ShallowMutableContentModelGeneralBlock } from '../blockGroup/ContentModelGeneralBlock';
import type { ContentModelListItem, ReadonlyContentModelListItem, ShallowMutableContentModelListItem } from '../blockGroup/ContentModelListItem';
import type { ContentModelParagraph, ReadonlyContentModelParagraph, ShallowMutableContentModelParagraph } from './ContentModelParagraph';
import type { ContentModelTable, ReadonlyContentModelTable, ShallowMutableContentModelTable } from './ContentModelTable';
/**
 * A union type of Content Model Block
 */
export declare type ContentModelBlock = ContentModelFormatContainer | ContentModelListItem | ContentModelGeneralBlock | ContentModelTable | ContentModelParagraph | ContentModelEntity | ContentModelDivider;
/**
 * A union type of Content Model Block (Readonly)
 */
export declare type ReadonlyContentModelBlock = ReadonlyContentModelFormatContainer | ReadonlyContentModelListItem | ReadonlyContentModelGeneralBlock | ReadonlyContentModelTable | ReadonlyContentModelParagraph | ContentModelEntity | ReadonlyContentModelDivider;
/**
 * A union type of Content Model Block (Shallow mutable)
 */
export declare type ShallowMutableContentModelBlock = ShallowMutableContentModelFormatContainer | ShallowMutableContentModelListItem | ShallowMutableContentModelGeneralBlock | ShallowMutableContentModelTable | ShallowMutableContentModelParagraph | ContentModelEntity | ContentModelDivider;
